Skip to content

Get



GET /api/v1/log_backup_cfg/{cfg_uuid}/get

Overview

Get a single data forwarding rule.

Route Parameters

Parameter Name Type Required Description
cfg_uuid string Y The UUID of the forwarding rule.

Parameter Details

Response Body Structure Description

Parameter Name type Description
accessCfg dict Third-party storage configuration information.
name string Forwarding rule name.
uuid string The unique UUID of the forwarding rule.
status string Forwarding rule status, 0: Enabled, 2: Disabled.
dataType string Data type.
conditions string Filter conditions in DQL format.
storeType string Storage type.
externalResourceAccessCfgUUID string External resource access configuration UUID.
workspaceUUID string The workspace UUID where the forwarding rule is located.

Request Example

curl 'https://openapi.truewatch.com/api/v1/log_backup_cfg/lgbp_xxxx32/get' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "accessCfg": {
            "bucket": "sdafdasf",
            "cloudAccountId": "f000ee4d7327428da2f53a081e7109bd",
            "dataType": "logging",
            "provider": "huawei",
            "region": "cn-north-4",
            "storeType": "obs"
        },
        "conditions": "",
        "createAt": 1697543205,
        "creator": "acnt_xxxx32",
        "dataType": "logging",
        "deleteAt": -1,
        "extend": {
            "filterLogic": "and",
            "filters": []
        },
        "externalResourceAccessCfgUUID": "erac_xxxx32",
        "id": 684,
        "name": "ssfda***",
        "status": 0,
        "storeType": "obs",
        "syncExtensionField": false,
        "taskErrorCode": "NoSuchBucket",
        "taskStatusCode": 404,
        "updateAt": 1697610912,
        "updator": "acnt_xxxx32",
        "uuid": "lgbp_xxxx32",
        "workspaceUUID": "wksp_xxxx32"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-EC139239-C9D7-4A7C-A548-20F97358DF24"
}